import { OnChainCertificateService } from '../../../onchain-certificate/onchain-certificate.service';
import { CertificateEventEntity } from '../../repositories/CertificateEvent/CertificateEvent.entity';
import { OffChainCertificateService } from '../../offchain-certificate.service';
import { SynchronizeHandler } from './synchronize.handler';
import { BatchConfiguration } from '../strategies/batch/batch.configuration';
export declare class IssuePersistHandler implements SynchronizeHandler {
    private readonly certificateService;
    private readonly offchainCertificateService;
    private batchConfiguration;
    constructor(certificateService: OnChainCertificateService<unknown>, offchainCertificateService: OffChainCertificateService, batchConfiguration: BatchConfiguration);
    canHandle(event: CertificateEventEntity): boolean;
    synchronizeBatchBlock(events: CertificateEventEntity[]): Promise<{
        failedCertificateIds: number[];
    }>;
    handleBatch(events: CertificateEventEntity[]): Promise<{
        failedCertificateIds: number[];
    }>;
}
