import { Job } from 'bull';
import { CommandBus } from '@nestjs/cqrs';
import { BlockchainAction } from './types';
import { TransactionPollService } from './transaction-poll.service';
import { IIssuedCertificate } from '../types';
export declare const blockchainQueueName = "blockchain-actions";
export declare class BlockchainActionsProcessor {
    private commandBus;
    private transactionPoll;
    private readonly logger;
    constructor(commandBus: CommandBus, transactionPoll: TransactionPollService);
    handle(payload: Job<BlockchainAction>): Promise<unknown>;
    process({ data }: Job<BlockchainAction>): Promise<BatchIssuanceActionResult | BatchTransferActionResult | BatchClaimActionResult | IssuanceActionResult<any> | TransferActionResult | ClaimActionResult>;
}
declare type TransactionHashResult = {
    transactionHash: string;
};
export declare type BatchIssuanceActionResult = {
    certificateIds: number[];
} & TransactionHashResult;
export declare type BatchTransferActionResult = TransactionHashResult;
export declare type BatchClaimActionResult = TransactionHashResult;
export declare type IssuanceActionResult<MetadataType> = {
    certificate: IIssuedCertificate<MetadataType>;
} & TransactionHashResult;
export declare type TransferActionResult = TransactionHashResult;
export declare type ClaimActionResult = TransactionHashResult;
export {};
